import { ComponentProps, ElementType, ForwardRefRenderFunction } from 'react';
export declare type As<Props = any> = ElementType<Props>;
export declare type PropsWithAs<Props = Record<string, never>, Type extends As = As> = Props & Omit<ComponentProps<Type>, 'as' | keyof Props> & {
    as?: Type;
};
export declare type ComponentWithAs<Props, DefaultType extends As> = {
    <Type extends As>(props: PropsWithAs<Props, Type> & {
        as: Type;
    }): JSX.Element;
    (props: PropsWithAs<Props, DefaultType>): JSX.Element;
};
export declare function forwardRefWithAs<Props, DefaultType extends As>(component: ForwardRefRenderFunction<any, any>): ComponentWithAs<Props, DefaultType>;
