import { forwardRef, ReactNode, Ref } from 'react';

import classNames from 'classnames';

export interface SelectOptionProps {
  children: ReactNode;
  value: string;
  className?: string;
  highlighted?: boolean;
}

function SelectOptionComponent(
  { children, className, value, highlighted, ...props }: SelectOptionProps,
  ref: Ref<HTMLLIElement>
) {
  return (
    <li
      className={classNames(
        'block w-full text-left px-4 py-2 focus:outline-none text-grayDark focus:bg-graySoft focus:bg-opacity-25',
        { 'bg-grayCool-50': highlighted },
        className
      )}
      {...props}
      ref={ref}
    >
      {children}
    </li>
  );
}

export const SelectOption = forwardRef(SelectOptionComponent);
